cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral

## Class CCR_I16

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.CCR_I16_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.CCR_I16

-     public final class CCR_I16
      extends CCR_I16_Common

  CCR_I16 – Collaborative Care Referral (Events I16). This message is sent from one healthcare provider to another regarding a specific patient or group of patients.

  Represents a CCR_I16 message structure (see chapter 11.6.2). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: RF1 (Referral Information) MULTIPLE_COMPULSARY
  4: PROVIDER_CONTACT (a Group in CCR_I16 message) MULTIPLE_COMPULSARY
  5: CLINICAL ORDER (a Group of segments in CCR_I16 message) MULTIPLE_OPTIONAL
  6: PATIENT (a Group of segments in CCR_I16 message) MULTIPLE_CUMPOLSARY
  7: NK1 (Next of Kin / Associated Parties Segment) MULTIPLE_OPTIONAL
  8: INSURANCE (a Group of segments in CCR_I16 message) MULTIPLE_OPTIONAL
  9: APPOINTMENT HISTORY (a Group of segments in CCR_I16 message) MULTIPLE_OPTIONAL
  10: CLINICAL HISTORY (a Group of segments in CCR_I16 message) MULTIPLE_OPTIONAL
  11: PATIENT_VISIT (a Group in CCM_I21 message) MULTIPLE_COMPULSARY
  12: MEDICATION HISTORY (a Group of segments in CCM_I21 message) MULTIPLE_OPTIONAL
  13: PROBLEM (a Group of segments in CCM_I21 message) MULTIPLE_OPTIONAL
  14: GOAL (a Group of segments in CCM_I21 message) MULTIPLE_OPTIONAL
  15: PATHWAY (a Group of segments in CCM_I21 message) MULTIPLE_OPTIONAL
  16: REL (Relationship) MULTIPLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  CCR_I16 objI16 = (CCR_I16)MessageFactory.createInstance().createSendSupportedMessage("CCR", "I16");

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCR_I16(IMap objMessageMap)` Constructs the CCM_I16 message.

  - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.patientreferral.CCR_I16_Common

      `addAppointmentHistoryGroup, addAppointmentHistoryGroups, addClinicalHistoryGroup, addClinicalHistoryGroups, addClinicalOrderGroup, addClinicalOrderGroups, addGoalGroup, addGoalGroups, addInsuranceGroup, addInsuranceGroups, addMedicationHistoryGroup, addMedicationHistoryGroups, addNextOfKinOrAssociatedPartiesSegment, addNextOfKinOrAssociatedPartiesSegment, addPathwayGroup, addPathwayGroups, addPatientGroup, addPatientGroups, addPatientVisitGroup, addPatientVisitGroups, addProblemGroup, addProblemGroups, addProviderContactGroup, addProviderContactGroups, addReferralInformationSegment, addReferralInformationSegment, addRelationshipSegment, addRelationshipSegment, addSoftwareSegment, addSoftwareSegment, getAppointmentHistoryGroups, getClinicalHistoryGroups, getClinicalOrderGroups, getGoalGroups, getInsuranceGroups, getMedicationHistoryGroups, getNextOfKinOrAssociatedPartiesSegments, getPathwayGroups, getPatientGroups, getPatientVisitGroups, getProblemGroups, getProviderContactGroups, getReferralInformationSegments, getRelationshipSegments, getSoftwareSegments, getUserAuthenticationCredentialSegment, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CCR_I16

          public CCR_I16(IMap objMessageMap)

      Constructs the CCM_I16 message.